/*
 * Class RT_DBG_FIELD_RECORD [POINTER]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_677 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_677 [] = {0xFF01,237,676,215,0xFFFF};
static const EIF_TYPE_INDEX egt_2_677 [] = {0xFF01,676,215,0xFFFF};
static const EIF_TYPE_INDEX egt_3_677 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_677 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_677 [] = {0xFF01,676,215,0xFFFF};
static const EIF_TYPE_INDEX egt_6_677 [] = {0xFF01,676,215,0xFFFF};
static const EIF_TYPE_INDEX egt_7_677 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_677 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_677 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_677 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_677 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_677 [] = {676,215,0xFFFF};
static const EIF_TYPE_INDEX egt_13_677 [] = {0xFF01,676,215,0xFFFF};
static const EIF_TYPE_INDEX egt_14_677 [] = {0xFF01,261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_15_677 [] = {261,0xFF01,236,0xFFFF};
static const EIF_TYPE_INDEX egt_16_677 [] = {0xFF01,137,0xFFFF};
static const EIF_TYPE_INDEX egt_17_677 [] = {0xFF01,132,0xFFFF};
static const EIF_TYPE_INDEX egt_18_677 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_19_677 [] = {0xFFF9,2,174,206,206,0xFFFF};
static const EIF_TYPE_INDEX egt_20_677 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_21_677 [] = {0xFF01,0,0xFFFF};
static const EIF_TYPE_INDEX egt_22_677 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_677 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_24_677 [] = {0xFF02,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_25_677 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_677[] = {
	{EIF_GENERIC(NULL), 12254, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_677), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_677), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_677), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_677), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_677), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_677), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_677), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_677), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_677), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_677), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_677), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_677), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_677), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_677), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2680, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2681, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2682, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2683, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2684, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2685, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2686, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2662, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2663, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2664, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2665, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2666, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2667, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2668, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2669, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2670, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2671, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2672, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2673, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2674, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2675, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2676, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2677, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2678, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 2679, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_677), 1073, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11798, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_677), 11799, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11800, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11801, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01B9 /*220*/), 11802, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11760, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11761, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11762, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11763, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11764, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11765, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 11766, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 11767, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11768, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 11769, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11770, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11771, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 11772, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11773, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11776, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11777, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11778, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11779, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11780, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11781, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11782, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11783, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11784, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11785, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11786, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11787, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11788, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11789, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11790, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11791, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11792, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11793, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11794, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11795, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_677), 11796, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_677), 11797, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_677), 11909, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 11911, 8},
	{EIF_NON_GENERIC(0x019D /*206*/), 11912, 12},
	{EIF_GENERIC(egt_19_677), 11913, 0},
	{EIF_NON_GENERIC(0x01D9 /*236*/), 12258, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 12244, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 12246, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_677), 12247, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11910, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12248, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12250, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12255, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_677), 12256, 4},
	{EIF_GENERIC(egt_22_677), 12257, 16},
	{EIF_GENERIC(NULL), 12251, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_677), 12252, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_677), 12253, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_677), -1, 0xFFFFFFFF},
};
void Init677(void)
{
	IDSC(desc_677, 0, 676);
	IDSC(desc_677 + 1, 1, 676);
	IDSC(desc_677 + 32, 330, 676);
	IDSC(desc_677 + 34, 82, 676);
	IDSC(desc_677 + 59, 309, 676);
	IDSC(desc_677 + 60, 334, 676);
	IDSC(desc_677 + 103, 336, 676);
	IDSC(desc_677 + 104, 150, 676);
	IDSC(desc_677 + 116, 148, 676);
}


#ifdef __cplusplus
}
#endif
